# Instalace Arch Linuxu s Openbox

Tento dokument poskytuje podrobný průvodce pro instalaci Arch Linuxu s Openboxem. Instalace zahrnuje šifrování celého disku s BTRFS, nastavení uživatelských účtů, konfiguraci LightDM a základní bezpečnostní nastavení.

## Obsah
1. [Příprava na instalaci](#příprava-na-instalaci)
2. [Particionace a šifrování disku](#particionace-a-šifrování-disku)
3. [Instalace základního systému](#instalace-základního-systému)
4. [Konfigurace systému](#konfigurace-systému)
5. [Instalace a konfigurace Openbox a LightDM](#instalace-a-konfigurace-openbox-a-lightdm)
6. [Nastavení uživatele a bezpečnostních nástrojů](#nastavení-uživatele-a-bezpečnostních-nástrojů)

## Příprava na instalaci
Zajistěte, že váš systém je připojen k internetu a máte přístup k archivu Arch Linuxu:
```bash
pacman -Sy
pacman -S reflector
reflector --latest 5 --sort rate --save /etc/pacman.d/mirrorlist
timedatectl set-ntp true
```

## Particionace a šifrování disku

Identifikujte cílový disk pomocí lsblk. Příklad dělení disku pro systém UEFI:

```bash
gdisk /dev/sdx
```

* Vytvořte EFI systémový oddíl (typ ef00, 512MiB)
* Vytvořte root oddíl pro Arch Linux, který bude šifrován (typ 8304)

## Nastavení šifrování LUKS

```bash
cryptsetup luksFormat /dev/sdx2
cryptsetup open /dev/sdx2 cryptroot
```
## Vytvoření BTRFS podsvazků

```bash
mkfs.btrfs /dev/mapper/cryptroot
mount /dev/mapper/cryptroot /mnt
btrfs subvolume create /mnt/@
btrfs subvolume create /mnt/@home
btrfs subvolume create /mnt/@var_log
umount /mnt
mount -o subvol=@,compress=zlib,ssd,noatime /dev/mapper/cryptroot /mnt
mkdir /mnt/home
mkdir /mnt/var/log
mount -o subvol=@home,compress=zlib,ssd,noatime /dev/mapper/cryptroot /mnt/home
mount -o subvol=@var_log,compress=zlib,ssd,noatime /dev/mapper/cryptroot /mnt/var/log
```

## Instalace základního systému

```bash
pacstrap /mnt base linux linux-firmware btrfs-progs vim
genfstab -U /mnt >> /mnt/etc/fstab
```
